#!/bin/sh
### BEGIN INIT INFO
# Provides:          inodeclient
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start inodeclient at boot time
# Description:       Enable service provided by inodeclient.
### END INIT INFO

# Get fake config
INODE_CFG="/etc/iNode/inodesys.conf"

[ -r "$INODE_CFG" ] && . "${INODE_CFG}"

# if INSTALL_DIR is not set, exit
if [ -z "$INSTALL_DIR" ]; then
    echo INSTALL_DIR not set yet
    exit 1
fi

RETVAL=0

LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$INSTALL_DIR/lib/
export LD_LIBRARY_PATH

# See how we were called.
start() {
    echo -n "Starting AuthenMngService: "
    $INSTALL_DIR/AuthenMngService
}

stop() {
    echo -n "Stopping AuthenMngService: "
    kill `pidof -s AuthenMngService`
#    sudo $INSTALL_DIR/AuthenMngService -k
}

force_stop() {
    echo -n "Force stopping AuthenMngService: "
    kill -s 9 `pidof -s AuthenMngService`
}

# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  force-stop)
        force_stop
        ;;
  force-reload)
        force_stop
	start
        ;;
  restart)
        stop
        sleep 5
        start
        ;;
  *)
        echo "Usage: inodeclient {start|stop|force-stop|restart}"
        exit 1
esac

exit $RETVAL
